#!/usr/bin/gnuplot

deg = pi/180.

set colors classic

set xl "x [arcsec]"
set yl "y [arcsec]"

tmp=0.75
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set zeroaxis
set key left
set size ratio -1

set label "DESCAMPS"   at graph 0.05,graph 0.85 font "Helvetica,8" tc 'blue'
set label "SPHERE2017" at graph 0.05,graph 0.82 font "Helvetica,8" tc '#00aaff'
set label "SPHERE2018" at graph 0.05,graph 0.79 font "Helvetica,8" tc 'cyan'

p \
  "Sky3.dat"             u (-$2*sin($3*deg)):($2*cos($3*deg)) t "uncorrecred" w p,\
  "../photocentre/Sky3_photocentre.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "photocentre" w p,\
  "<./ellipses.awk Sky3.dat" u 1:2 not w l lc 'orange',\
  "<awk '/DESCAMPS/'   Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'blue'    left,\
  "<awk '/SPHERE2017/' Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc '#00aaff' left,\
  "<awk '/SPHERE2018/' Sky3.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'cyan'    left,\

pa -1

set term png small size 2048,2048
set out "Sky3.png"
rep

q


