#!/usr/bin/gnuplot

deg = pi/180.

set colors classic

set xl "x [arcsec]"
set yl "y [arcsec]"

tmp=0.55
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set zeroaxis
set size ratio -1
set key left

set label "DESCAMPS"   at graph 0.05,graph 0.85 font "Helvetica,8" tc 'blue'
set label "SPHERE2017" at graph 0.05,graph 0.82 font "Helvetica,8" tc '#00aaff'
set label "SPHERE2018" at graph 0.05,graph 0.79 font "Helvetica,8" tc 'cyan'

p \
  "Sky2.dat"             u (-$2*sin($3*deg)):($2*cos($3*deg)) t "uncorrecred" w p,\
  "../photocentre/Sky2_photocentre.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "photocentre" w p,\
  "Sky2_hanus.dat"       u (-$4):5 t "Hanus" w p,\
  "<./ellipses.awk Sky2.dat" u 1:2 not w l lc 'orange',\
  "<awk '/DESCAMPS/'   Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,6" tc 'blue'    left,\
  "<awk '/SPHERE2017/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,6" tc '#00aaff' left,\
  "<awk '/SPHERE2018/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("           %.1f", $1-2400000)) not w labels font "Helvetica,6" tc 'cyan'    left,\

pa -1

