#!/usr/bin/gawk -f

BEGIN{
  pi = 3.1415926535; deg = pi/180.;
  c = 299792458.;  # m s^-1
  au = 1.49597870700e11; # m
  day = 86400.;  # s

  OFMT=CONVFMT="%.6f";

  print "# JD (i.e. uncorrected for LITE) & d [au] & l [deg] & b [deg] (all from Horizons; i.e. corrected for LITE) & Besselian year & dataset";
}
!/^#/ && (NF>0){
  split($1,l,"-");
  y = l[1];
  m = l[2];
  d = l[3];
  split($2,l,":");
  h = l[1];
  min = l[2];
  s = l[3];
  d = d+(h+min/60.+s/3600.)/24.;  # <- here was an ERROR!
  jd = jdate(y,m,d);

#  print "str = ", substr(str,0,10)
#  print "y = ", y
#  print "m = ", m
#  print "d = ", d
#  print "str = ", substr(str,12)
#  print "h = ", h
#  print "min = ", min
#  print "s = ", s

  d = $3;
  l_ = $4;
  b = $5;

#  lite = d/c * au/day;
  lite = 0.0;  # it's implemented in the code...
  jd = jd - lite;

  bessel = 1900.0 + (jd - 2415020.31352) / 365.242198781;
  dataset = "SPHERE2018";
  if (bessel < 2018.0) { dataset = "SPHERE2017"; }
  if (bessel < 2009.0) { dataset = "DESCAMPS"; }

  print jd "	" d "	" l_ "	" b "	"  bessel "	" dataset "	# " $1 " " $2;
  print "lite = ", lite, " d = ", lite*1440., " min" > "AO1.tmp2";
}

func jdate(y,m,d, yy,mm,jd,a,b) {
  if (m > 2) {
    yy = y;
    mm = m;
  } else {
    yy = y - 1.0;
    mm = m + 12.0;
  }
  jd = int(365.25*yy) + int(30.6001*(mm+1)) + d + 1720994.5;
  if ((y > 1582) || (y == 1582) && (m > 10) || (y == 1582) && (m == 10) && (int(d) > 15)) {
    a = int(yy/100.0);
    b = 2.0-a+int(a/4.0);
    jd = jd + b;
  }
  return jd;
}

