#!/usr/bin/gawk -f

BEGIN{
  pi = 3.1415926535; deg = pi/180.;

  sigma = 0.01;
  one = 2;
  two = 3;

  OFMT = CONVFMT = "%.6f";
  print "# JD (i.e. uncorrected for LITE) & one [] & two [] & dx [arcsec] & dy [arcsec] & major [arcsec] & minor [arcsec] & PA [deg] of uncertainty ellipse & d [au] & l [deg] & b [deg] (all from Horizons; i.e. corrected for LITE) & Besselian year & dataset";
}
(ARGIND==1) && !/^#/ && (NF>0){
  jd = $1;
  sep = $2;
  ang = $3*deg;
  major = $4;
  minor = $5;
  PA = $6;
  d = $7;
  l = $8;
  b = $9;
  bessel = $10;
  dataset = $11;
  lite = 0.0;

  x1[jd] = -sep*sin(ang);
  y1[jd] = sep*cos(ang);
}
(ARGIND>1) && !/^#/ && (NF>0){
  jd = $1;
  sep = $2;
  ang = $3*deg;
  major = $4;
  minor = $5;
  PA = $6;
  d = $7;
  l = $8;
  b = $9;
  bessel = $10;
  dataset = $11;
  lite = 0.0;

  x2 = -sep*sin(ang);
  y2 = sep*cos(ang);

  major = sigma;
  minor = sigma;
  PA = 0.0;

  if (jd in x1) {
    dx = x2-x1[jd];
    dy = y2-y1[jd];

    sep = sqrt(dx**2+dy**2);
    ang = atan2(dx,dy);
    if (ang < 0.0) { ang = ang + 2.*pi; }

    print jd "	" one	"	" two "	" dx "	" dy "	" major "	" minor "	" PA "	" d "	" l "	" b "	"  bessel "	" dataset;
  } else {
    print "# JD = ", jd, " not found!" > "Sky_differential.tmp"
  }
}


